Subject: bug#27736: OSX 10.6.8: Building from master branch fails.

From: [email-masked] (Charles A. Roelli)
Date: Mon, 06 Nov 2017 09:41:28 -1100

> Date: Mon, 06 Nov 2017 20:41:43 +0100
> From: [email-masked] (Charles A. Roelli)
> 
> > (gdb) pp specified_time
> >
> > (-1034058203135 0)
> 
> Thanks.  I think the timezone of the compiling machine changes which
> arguments are safe to pass to `decode-time' on old macOSen.  I
> previously wrote some programs to zero in on the bad values here:
> 
>   https://lists.gnu.org/archive/html/bug-gnulib/2017-07/msg00140.html
> 
> and here:
> 
>   https://lists.gnu.org/archive/html/bug-gnulib/2017-07/msg00142.html
> 
> [time_find.c and time_search.c]
> 
> Could you try to run them (changing the constants TIME_CHECK_DELTA and
> TIME_CHECK_RANGE in time_find.c, and TIME_CHECK_GOOD and
> TIME_CHECK_BAD in time_search.c as necessary)?  It is simplest to
> compile them in the same directory as gnulib, which is located in the
> lib/ folder of emacs, as they expct gnulib's "time.h".

Actually, I just tried the programs myself after switching to a
western time zone, leading to this small local change:

--- a/lisp/org/org-clock.el
+++ b/lisp/org/org-clock.el
@@ -487,7 +487,7 @@ org-clock--oldest-date
                                    "10\\.6\\.[[:digit:]]"
                                    (shell-command-to-string
                                     "sw_vers -productVersion"))
-                                  (<= m -1034058203136))
+                                  (<= m -1034058203135))
                        (ignore-errors (decode-time (list m 0)))))))
 	 (low
 	  (funcall dichotomy

Does it fix the compilation for you?